Name:           perl-bareword-filehandles
Version:        0.003
Release: 2%{?org_tag}%{?dist}
Summary:        Disables bareword filehandles
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/bareword-filehandles/
Source0:        http://localhost/cpan//authors/id/I/IL/ILMARI/bareword-filehandles-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: perl-devel perl-ExtUtils-Depends
BuildRequires:  perl >= 0:5.008001
BuildRequires:  perl(B::Hooks::OP::Check)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::ParseXS)
BuildRequires: perl(ExtUtils::Manifest)
BuildRequires:  perl(Lexical::SealRequireHints)
BuildRequires:  perl(Test::More) >= 0.88
Requires:       perl(B::Hooks::OP::Check)
Requires:       perl(Lexical::SealRequireHints)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Autoreq:        no

%description
This module lexically disables the use of bareword filehandles with builtin
functions, except for the special builitin filehandles STDIN, STDOUT,
STDERR, ARGV, ARGVOUT and DATA.

%prep
%setup -q -n bareword-filehandles-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes dist.ini LICENSE README weaver.ini
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/bareword*
%{_mandir}/man3/*

%changelog
* Fri Jul 14 2023 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Fri Dec 21 2018 Jean-Philipe Pialasse <tests@pialasse.com> 0.003-2.sme
- fix Buildrequires to get it built

* Sun Dec 11 2011 Gavin Carr <gavin@openfusion.com.au> 0.003-1
- Specfile autogenerated by cpanspec 1.79.
